v.split(1)

NAME
v.split - Split lines to shorter segments.

KEYWORDS
vector, geometry

SYNOPSIS
v.split
v.split help
v.split input=name output=name [length=float] [vertices=integer] [--overwrite]

  Flags:

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

length=float
    Maximum segment length.

vertices=integer
    Maximum number of vertices in segment.

DESCRIPTION
v.split split vector lines into shorter segments using a maximal distance between nodes.

EXAMPLE
Spearfish location:
# insert kilometric nodes to railroad map:
v.extract railroads out=myrr list=1
# join segments into polyline
v.build.polylines myrr out=myrr_pol
v.category myrr out=myrailroads option=add
# show line, category, direction (to find the beginning)
d.vect myrailroads disp=shape,cat,dir
# insert nodes at 1000m distance (max)
v.split railroads out=myrailroads_split length=1000
d.vect myrailroads_split disp=shape,topo

SEE ALSO
v.build.polylines, v.segment

AUTHOR
Radim Blazek

Last changed: $Date: 2007/05/01 10:33:09 $

Full index